import { Theme } from '@leafygreen-ui/lib';
import { ComboboxSize as Size, Overflow } from './Combobox.types';
/**
 * Width of the widest character (in px)
 */
export declare const maxCharWidth: Record<Size, number>;
/**
 * Vertical padding on a chip (in px)
 */
export declare const chipWrapperPaddingY: {
    readonly default: 2;
    readonly large: 4;
};
/**
 * Height of the input element (in px)
 */
export declare const inputHeight: Record<Size, number>;
/**
 * Size of combobox x & y padding (in px)
 */
export declare const comboboxPadding: Record<Size, {
    x: number;
    y: number;
}>;
/** Width of the clear icon (in px) */
export declare const clearButtonIconSize = 28;
/** Width of the dropdown caret icon (in px) */
export declare const caretIconSize: 16;
export declare const chipClassName: string;
export declare const comboboxParentStyle: (size: Size) => string;
export declare const baseComboboxStyles: string;
export declare const comboboxThemeStyles: Record<Theme, string>;
export declare const comboboxSizeStyles: (size: Size) => string;
export declare const comboboxDisabledStyles: Record<Theme, string>;
export declare const comboboxErrorStyles: Record<Theme, string>;
export declare const comboboxFocusStyle: Record<Theme, string>;
export declare const comboboxSelectionStyles: string;
export declare const inputWrapperStyle: ({ overflow, size, }: {
    overflow: Overflow;
    size: Size;
}) => string | undefined;
export declare const baseInputElementStyle: string;
export declare const inputElementThemeStyle: Record<Theme, string>;
export declare const inputElementSizeStyle: Record<Size, string>;
export declare const inputElementTransitionStyles: (isOpen: boolean) => string;
/** Should only be applied to a multiselect */
export declare const multiselectInputElementStyle: (size: Size, inputValue?: string) => string;
export declare const clearButtonStyle: string;
export declare const endIconStyle: (size: Size) => string;
export declare const errorMessageThemeStyle: Record<Theme, string>;
export declare const errorMessageSizeStyle: Record<Size, string>;
export declare const labelDescriptionContainerStyle: string;
//# sourceMappingURL=Combobox.styles.d.ts.map